Page MenuHomePhabricator

[Bug] Overflow menu has blank entry on community portal when no Wikidata item exists
Closed, ResolvedPublic2 Estimated Story Points

Description

Steps to reproduce

  1. Login, enable AMC, and visit https://test2.m.wikipedia.org/wiki/Talk:Main_Page (or tap the community link in the main menu).
  2. Tap the overflow menu.

Expected results

  • The menu is sized to the items present.

Actual results

  • The minimum height is for four items but only three are present.

Environments observed

  • Browser version: Chromium v74.0.3729.169
  • OS version: Ubuntu v19.04
  • Device model: Desktop
  • Device language: English

developer notes

The min-height is a little larger than it should be in this case. Set as 200px rather than 160px.
Can we detect when there is only three items and add a BEM modifier class? e..g .page-actions-overflow-list--compact ?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2019, 5:08 PM
Niedzielski updated the task description. (Show Details)Jun 17 2019, 5:09 PM
ovasileva triaged this task as Medium priority.Jun 18 2019, 12:55 AM
ovasileva added a subscriber: ovasileva.

Note, this also happens on user pages

Jdlrobson added a subscriber: Jdlrobson.

This is not happening for me any more when I visit https://it.m.wikipedia.org/wiki/Portale:Comunit%C3%A0
Could this be only for pages without a Wikidata item?

ovasileva lowered the priority of this task from Medium to Low.Jul 9 2019, 3:14 AM

This is not happening for me any more when I visit https://it.m.wikipedia.org/wiki/Portale:Comunit%C3%A0
Could this be only for pages without a Wikidata item?

Niedzielski renamed this task from [Bug] Overflow menu has blank entry on community portal to [Bug] Overflow menu has blank entry on community portal when no Wikidata item exists.Jul 9 2019, 1:32 PM
Niedzielski updated the task description. (Show Details)
Jdlrobson raised the priority of this task from Low to Medium.Jul 31 2019, 2:35 PM

No wikidata item is actually pretty common on certain smaller wikis so we might want to reconsider this one..

Jdlrobson updated the task description. (Show Details)Jul 31 2019, 4:14 PM

Do we think the dynamic resizing on small screens is important? I'd love to drop that resizing JavaScript and this min-height CSS if document scrolling can be used instead.

@alexhollender says it's ok to remove menu resizing logic so we can remove the JS and the min-height.

Jdlrobson set the point value for this task to 2.

We can resolve this by removing code by descoping the requirement of scrolling as you resize/rotate.

Change 526734 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [UI] [menu] remove menu height resizing

https://gerrit.wikimedia.org/r/526734

Change 526734 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] [UI] [menu] remove menu height resizing

https://gerrit.wikimedia.org/r/526734

MBinder_WMF reassigned this task from Edtadros to ovasileva.Aug 7 2019, 5:21 PM
MBinder_WMF added a subscriber: Edtadros.

@Niedzielski - unsure if this is just an issue with testwiki, but I'm seeing a weird overlap with the overflow menu on https://test.m.wikipedia.org/wiki/Talk:Main_Page

Change 528911 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [LESS] [content] lower content render order

https://gerrit.wikimedia.org/r/528911

Change 528911 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] [LESS] [content] lower content render order

https://gerrit.wikimedia.org/r/528911

Niedzielski reassigned this task from Edtadros to Jdlrobson.Aug 21 2019, 5:11 PM